Page MenuHomePhabricator

[compiler-rt] Avoid unnecessarily hiding inline visibility [NFC]
ClosedPublic

Authored by nikhgupt on Nov 20 2017, 1:50 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

nikhgupt created this revision.Nov 20 2017, 1:50 PM
nikhgupt retitled this revision from [compiler-rt] Make inline visibility on fvisibility to [compiler-rt] Make inline visibility on fvisibility [NFC].Nov 20 2017, 1:56 PM
weimingz edited edge metadata.

LGTM. Adding Saleem and Peter for confirming.

Hold on. Why do we need this flag? There is no c++ code in builtins.

Hold on. Why do we need this flag? There is no c++ code in builtins.

Sorry. Never mind. I thought it's for builtin.

peter.smith edited edge metadata.Nov 21 2017, 1:09 AM

I don't have any objections.

This change is helpful for portability.

nikhgupt accepted this revision.Nov 27 2017, 9:10 AM
This revision is now accepted and ready to land.Nov 27 2017, 9:10 AM
vsk accepted this revision.Nov 27 2017, 9:46 AM

Nit: could you make the commit title a bit clearer? Apart from that, this lgtm.

nikhgupt retitled this revision from [compiler-rt] Make inline visibility on fvisibility [NFC] to [compiler-rt] Avoid unnecessarily hiding inline visibility [NFC].Nov 27 2017, 10:44 AM
This revision was automatically updated to reflect the committed changes.